> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset a user's Opal MFA

> Deletes the user's Auth0 (Opal) MFA enrollments so they are prompted to
re-enroll on their next sign-in. Only applies to orgs that use Opal/Auth0
for MFA (not available on-prem, and a no-op success for users who have
never signed into Auth0).




## OpenAPI

````yaml https://app.opal.dev/openapi.yaml post /users/{user_id}/mfa/reset
openapi: 3.1.0
info:
  contact:
    email: hello@opal.dev
    name: Opal Team
    url: https://www.opal.dev/
  description: >-
    The Opal API is a RESTful API that allows you to interact with the Opal
    Security platform programmatically.
  title: Opal API
  version: '1.0'
servers:
  - description: Production
    url: https://api.opal.dev/v1
security: []
tags:
  - name: access-rules
    description: Operations related to access rules
  - name: apps
    description: Operations related to apps
  - name: bundles
    description: Operations related to bundles
  - name: campaigns
    description: Operations related to access review campaigns
  - name: configuration-templates
    description: Operations related to configuration templates
  - name: delegations
    description: Operations related to request reviewer delegations
  - name: event-streams
    description: Operations related to event streaming connections
  - name: events
    description: Operations related to events
  - name: groups
    description: Operations related to groups
  - name: group-bindings
    description: Operations related to group bindings
  - name: idp-group-mappings
    description: Operations related to IDP group mappings
  - name: message-channels
    description: Operations related to message channels
  - name: non-human-identities
    description: Operations related to non-human identities
  - name: on-call-schedules
    description: Operations related to on-call schedules
  - name: opal-queries
    description: Operations related to OpalQuery
  - name: opal-scripts
    description: Operations related to OpalScripts
  - name: owners
    description: Operations related to owners
  - name: requests
    description: Operations related to requests
  - name: resources
    description: Operations related to resources
  - name: paladin
    description: Operations related to Paladin
  - name: sessions
    description: Operations related to sessions
  - name: tags
    description: Operations related to tags
  - name: tokens
    description: Operations related to API tokens
  - name: uars
    description: Operations related to UARs. Deprecated in favor of the `campaigns` API.
  - name: users
    description: Operations related to users
paths:
  /users/{user_id}/mfa/reset:
    post:
      tags:
        - users
      summary: Reset a user's Opal MFA
      description: >
        Deletes the user's Auth0 (Opal) MFA enrollments so they are prompted to

        re-enroll on their next sign-in. Only applies to orgs that use
        Opal/Auth0

        for MFA (not available on-prem, and a no-op success for users who have

        never signed into Auth0).
      operationId: resetUserMfa
      parameters:
        - description: The ID of the user whose MFA should be reset.
          example: 32acc112-21ff-4669-91c2-21e27683eaa1
          in: path
          name: user_id
          required: true
          schema:
            type: string
            format: uuid
          style: simple
      responses:
        '200':
          description: |
            The MFA enrollments were reset, or the user has no Auth0 enrollments
            to reset (never signed into Auth0).
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                required:
                  - success
        '400':
          description: >
            The deployment does not support MFA reset (on-prem), the
            organization

            does not use Opal/Auth0 MFA, or the request body contained unknown

            JSON fields.
        '403':
          description: The caller is not authorized to reset MFA for this user.
        '404':
          description: The user was not found.
        '409':
          description: The Opal system user cannot be modified.
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.